2022-08-19 02:48 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000541mercuryBugpublic2022-01-25 01:21
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000541: Standard lib compilation aborts in asm_fast.gc.profdeep.stseg with --intermod-opt -O5
DescriptionCompilation of a number of stdlib modules (bit_buffer, io, rtti_implementation, store, type_desc) fails with the following:

     Uncaught Mercury exception:
     Software Error: predicate `ll_backend.code_gen.generate_goal'/7: Unexpected: semidet model in det context
     Stack dump not available in this grade.

in grade asm_fast.gc.profdeep.stseg with --intermodule-optimization -O5.
This was with rotd-2021-12-19.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001158

zs (developer)

Fix was committed 2022 jan 3.
+Notes

-Issue History
Date Modified Username Field Change
2021-12-22 00:39 juliensf New Issue
2022-01-02 15:58 zs Assigned To => zs
2022-01-02 15:58 zs Status new => assigned
2022-01-25 01:21 zs Status assigned => resolved
2022-01-25 01:21 zs Resolution open => fixed
2022-01-25 01:21 zs Note Added: 0001158
+Issue History